/*global*/
*{
	box-sizing: border-box;
	-webkit-box-sizing:border-box;
	-moz-box-sizing:border-box;
}
body{
	
}
/*end global*/
/****************start menu*************/
header{
	position: fixed;
	z-index: 2;
	width: 100%;
	padding: 0 100px;
	/*height: 80px;*/
	background: rgba(255,255,255,.4);
	box-shadow: 0 5px 15px rgba(0,0,0,.2);
	transition: .5s;
}
.header-color{
	background: white;
}
.logo{
	float: left;
}
header ul{
	position: relative;
	margin: 0;
	padding: 0;
	display: flex;
	float: right;
	transition: .5s;
}
header ul li{
	list-style: none;
}
header ul li a{
	position: relative;
	display: block;
	padding: 10px 20px;
	margin: 20px 0;
	text-transform: uppercase;
	text-decoration: none;
	color: #262626;
	font-weight: bold;
	transition: .5s;
}
header ul li a:hover{
	background: #1BBC9B;
	color: #fff;
}
.toggle{
	display: none;
	position: absolute;
	right: 10px;
	top: 25px;
	padding: 5px;
	cursor: pointer;
	font-size: 2em;
}

@media (max-width:992px ){
	header{
		padding: 0;
		background: rgba(255,255,255,.5);
	}
	.toggle{display: block;}
	header ul{
		width: 100%;
		top: -20px;
		display: none;
	}
	header ul.active{
		display: block;
	}
	header ul li a{
		margin: 0;
		display: block;
		text-align: center;
		color: #fff;
		background: rgba(0,0,0,.8);
	}
}

/****************end menu*************/
/****************Start slider********/


.slider{
	position: relative;
	z-index: 1;
	background-color: rgb(0,0,0,0.5);
	width: 100vw;
	height: 100vh;
	top: 0;
	left: 0;

}
.slider .bx-wrapper{
	height: 100%;
	box-shadow: none;
	border: 0;
	background: none;
}
.bx-wrapper .bx-next {
    right: 25px;
}
.slider .bx-wrapper .bx-viewport{
	height: 100% !important;
	text-align: center;
}
/*.header .bxslider{
	height: 100%;
}*/
.slider .bxslider{
height: 100%;

}
.slider .bxslider li{
	width: 100vw;
	height: 100vh;
	display: flex;
	flex-direction: column;
	align-content: center;
	justify-content: center;
	color: white;
	


}
.bxslider .text-slider{
	width: 50%;
	margin: auto;
	text-align: center;
	transition: .5s;
}
.slider .bxslider li h2{
	font-size: 3.5em;
	margin-top: 0;
	margin-bottom: 20px;
	font-weight: bold;
	text-transform: uppercase;
	text-shadow: 2px 1px 2px black;
	transition: .5s;
}
.slider .bxslider li p{
	font-size: 2em;
	text-shadow: 2px 1px 2px black;
	line-height: 1.3;
}
.slider .bxslider li h2 span{color:#1BBC9B}

.slider .img1{background:linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.5)),url('../images/web.jpg');background-size: cover;}
.slider .img2{background:linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.5)),url('../images/responsive.jpg');background-size: cover}
.slider .img3{background:linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.3)), url('../images/dev.jpg');background-size: cover}
.slider .img4{background: linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.5)),url('../images/contact.jpg');background-size: cover}
@media (max-width:992px ){
	.bxslider .text-slider{
		width: 70%;
	}
	.slider .bxslider li h2{
		font-size: 2.5em;

	}
	.slider .bxslider li p{
		font-size: 1.2em;
	}

}

/****************End slider********/
/**************** Youtube Post *****/
/* title */
.title{margin: 40px 0;}
.title-text{
	text-align: center;
	font-size: 30px;
	text-transform: uppercase;
	font-style: italic;
	color: #1BBC9B;
	text-shadow: 1px 1px 2px black;
	
}
.title-underline{
	width: 200px;
	border: 3px solid #1BBC9B;
	margin: 0 auto;
	box-shadow: 1px 1px 2px black;
}
@media (max-width:992px ){
.title-text{
	font-size: 22px;
}
.title-underline{
width: 150px;
border: 2px solid #1BBC9B;	
}
}
@media (max-width:576px ){
.title-text{
	font-size: 18px;
}
}
/* end title */
#posts{
	background: #beb7a4;
	padding: 20px 0 80px 0;
	position: relative;
}
.post-container{
	max-width: 90vw;
	margin:0 auto;
}
.post-item{
	background-color: #e0e2db;
	color: #191716;
	margin: 20px 0;
}
.img-container{
	position: relative;
	background: linear-gradient(rgba(0,0,0,0.8),rgba(0,0,0,0.8));
}
#posts img{
	width: 100%;
	display: block;

}
.img-container .far{
	position: absolute;
	left: 50%;
	top: 50%;
	font-size: 40px;
	color: #1BBC9B;
	transform: translate(-50%,-50%);
	transition: opacity 4s;
	opacity: 0;
}
.img-container:hover img{
	opacity: 0.4;
}
.img-container:hover .far{
	opacity: 1;
}
.text-container{
	padding: 10px 5px 30px 5px;
}
.text-container h2{
	font-size: 25px;
}
.text-container p{
	padding: 10px 0 20px;
}
.text-container a{
	text-decoration: none;
	font-size: 20px;
	border: 2px solid #1BBC9B;
	padding: 5px;
	color: #1BBC9B;

}
.text-container a:hover{
	background-color: #191716;
	border-color: #191716;
}
@media screen and (min-width: 576px) {
	.post-container{
		display: grid;
		grid-template-columns: repeat(2,1fr);
		grid-gap: 1em;

	}
	
}
@media screen and (min-width: 992px) {
	.post-container{
		display: grid;
		grid-template-columns: repeat(3,1fr);
		grid-gap: 1em;

	}
	
}
/**************** End Youtube Post *****/
/*****************Start Technologie section********** */
#services{
	min-height: 100vh;
	background: url("../images/slider.jpg");
	background-attachment: fixed;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	padding: 20px 0 80px;

}
.services-container{
	max-width: 90vw;
	margin: 0 auto;
	color: white;
}
.service-item{
	position: relative;
	padding: 60px;
	overflow: hidden;
}
.service-item img{
	width:70px;
	height: 88px;
}
.service-item .fas,.service-item .far{
	font-size: 60px;
	margin-bottom: 30px;
	color: #328da2;
}
.services-container .service-item-black{
	background: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7));
}
.services-container .service-item-white{
	background: linear-gradient(rgba(206, 207, 207, 0.7),rgba(206, 207, 207, 0.7));
	color: #191716;
}
/* service item effect */
.front-text{
	text-align: center;
	transition: transform 2s;
}
.back-text{
	position: absolute;
	bottom: -20em;
	width: 75%;
	margin: 0 auto;
	height: 100%;
	transition:bottom 2s;
	
}
.front-text h2{
	font-size: 2.5em;
}

.back-text h2{
	margin-bottom: 25px;
	font-size:2.3em; 
}
.service-item-black button{
	margin-top: 20px;
	padding: 10px 20px;
	background: transparent;
	font-size: 20px;
	color: #e6af2e;
	border: 2px solid #e6af2e;
	border-radius:5px;
}
.service-item-black button:hover{
	background: #e6af2e;
	color: #191716;
}
.service-item-white button{
	margin-top: 20px;
	padding: 10px 20px;
	background: #e6af2e;
	font-size: 20px;
	color: #191716;
	border: 2px solid #e6af2e;
	border-radius:5px;
}
.service-item-white button:hover{
	background: #191716;
	color: #e6af2e;
	border-color: #191716;
}
.service-item:hover .front-text{
	transform: translateY(-250px);
}
.service-item:hover .back-text{
	bottom: -2em;
}
@media screen and (min-width: 776px) {
	.services-container{
		display: grid;
		grid-template-columns: 1fr 1fr;
	}
	.services-container .service-item:nth-of-type(1){
		order: 1;
	}
	.services-container .service-item:nth-of-type(2){
		order: 2;
	}
	.services-container .service-item:nth-of-type(3){
		order: 4;
	}

	.services-container .service-item:nth-of-type(4){
		order: 3;
	}
	
}
/*****************End of Technologie section********** */
/* ***************Start Projects section ************* */
/*#projects .title-text{
	color: white;


}
#projects .title-underline{
	
	border: 3px solid white;
	
}*/
#projects{
	padding: 20px 0 80px 0;
	background-color: #e0e2db;

}
.projects-container{
	max-width: 90vw;
	margin: 0 auto;
}
.project-item{
	background: linear-gradient(rgba(0,0,0,0.8),rgba(0,0,0,0.8));
	margin: 20px 0;
	color: #e0e2db; /*#e0e2db*/
	position: relative;
	overflow: hidden;

}
#projects img{
	width: 100%;
	min-height: 100%;
	display: block;
	transition: transform 4s;
}
.img-text{
	position: absolute;
	top: 50%;
	left: 50%;
	text-align: center;
	transform: translate(-50%,-50%);
	opacity: 0;
	transition: opacity 4s;		
}
.img-footer{
	display: flex;
	justify-content: space-between;
	width: 95%;
	position: absolute;
	left: 0;
	bottom: 0;
	padding: 10px;
	font-size: 20px;
	opacity: 0;
	color: #efab22;
	transition: opacity 4s;
}

.img-text h2{
	font-size: 30px;
	margin-bottom: 10px;
}
.img-text h6{
	font-size: 15px;
}

.project-item:hover img{
	opacity: 0.4;
	transform: scale(1.3);
}
.project-item:hover .img-text,.project-item:hover .img-footer{
	opacity: 1;
}
@media screen and (min-width: 576px){
	.projects-container{
		display: grid;
		grid-template-columns: 1fr 1fr;
		grid-column-gap: 1em;
	}
}
@media screen and (min-width: 992px){
	.projects-container{
		display: grid;
		grid-template-columns: repeat(3,1fr);
		grid-column-gap: 1em;
	}
}

/* ***************End Projects section ************* */
/* *************** footer ************************* */
footer{
	background-color: #191716;
	padding: 20px;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: baseline;
}
.text-footer{
	text-transform: capitalize;
	font-size: 15px;
	color: #e0e2db;
	margin-bottom: 10px;
}
.social-icon{
	font-size: 30px;
}
.social-icon .fab{
	color: #e0e2db;
	margin-right: 10px;
	transition: transform 2s;	
}
.social-icon .fab:hover{
	color: #1BBC9B;
	transform: translateY(-15px);
}
@media(max-width: 700px){
	footer{
		flex-direction: column;
		align-items: center;
	}
}
